Subject: bug#7441: [PATCH] {elisp-work} news: document all the recent elisp-related changes and improvements

From: Stefano Lattarini <[email-masked]>
Date: Sat, 4 Aug 2012 16:00:42 +0200

* NEWS (Elisp byte-compilation): Here.  Also notice that the recent
changes have fixed the long-standing (almost two years old!) automake
bug#7441.

Signed-off-by: Stefano Lattarini <[email-masked]>
---

 With this patch, I believe the recent work on Elisp support is mature
 enough for inclusion in master.  I will proceed to the merge soon enough.
 If you have doubts or objections, speak up soon!

 Thanks,
   Stefano

 NEWS | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/NEWS b/NEWS
index d2fc46d..5884e78 100644
--- a/NEWS
+++ b/NEWS
@@ -44,6 +44,30 @@ New in 1.13:
 
   - All the "old alias" macros in 'm4/obsolete.m4' have been removed.
 
+* Elisp byte-compilation:
+
+  - The byte compilation of '.el' files into '.elc' files is now done
+    with a suffix rule.  This has simplified the compilation process, and
+    more importantly made it less brittle.  The downside is that emacs is
+    now invoked once for each '.el' files, which cause some noticeable
+    slowdowns.  These should however be mitigated on multicore machines
+    (which are becoming the norm today) if concurrent  make ("make -j")
+    is used.
+
+  - Elisp files placed in a subdirectory are now byte-compiled to '.elc'
+    files in the same subdirectory; for example, byte-compiling of file
+    'sub/foo.el' file will result in 'sub/foo.elc' rather than in
+    'foo.elc'.  This behaviour is backward-incompatible with older
+    Automake versions, but it is more natural and more sane.  See also
+    automake bug#7441.
+
+  - The Emacs invocation performing byte-compilation of '.el' files honors
+    the $(AM_ELCFLAGS) and $(ELCFLAGS) variables; as typical, the former
+    one is  developer-reserved and the latter one user-reserved.
+
+  - The 'elisp-comp' script, once provided by Automake, has been rendered
+    obsoleted by the just-described changes, and thus removed.
+
 * Changes to Automake-generated testsuite harnesses:
 
   - The parallel testsuite harness (previously only enabled by the
-- 
1.7.12.rc0